pidgin: _PidginStatusBox Struct Reference

pidgin 2.14.4

Loading...
Searching...
No Matches
Data Fields
_PidginStatusBox Struct Reference

## Data Fields
GtkContainer | parent_instance
GtkListStore * | store
| This GtkListStore contains only one row–the currently selected status.
GtkListStore * | dropdown_store
| This is the dropdown GtkListStore that contains the available statuses, plus some recently used statuses, plus the "Custom..." and "Saved..." options.
PurpleAccount * | account
PurpleAccount * | token_status_account
GtkWidget * | vbox
GtkWidget * | sw
GtkWidget * | imhtml
PurpleStoredImage * | buddy_icon_img
GdkPixbuf * | buddy_icon
GdkPixbuf * | buddy_icon_hover
GtkWidget * | buddy_icon_sel
GtkWidget * | icon
GtkWidget * | icon_box
GtkWidget * | icon_box_menu
GdkCursor * | hand_cursor
GdkCursor * | arrow_cursor
int | icon_size
gboolean | icon_opaque
gboolean | imhtml_visible
GtkWidget * | cell_view
GtkCellRenderer * | icon_rend
GtkCellRenderer * | text_rend
GdkPixbuf * | error_pixbuf
int | connecting_index
GdkPixbuf * | connecting_pixbufs [9]
int | typing_index
GdkPixbuf * | typing_pixbufs [6]
gboolean | network_available
gboolean | connecting
guint | typing
GtkTreeIter | iter
char * | error
GtkWidget * | hbox
GtkWidget * | toggle_button
GtkWidget * | vsep
GtkWidget * | arrow
GtkWidget * | popup_window
GtkWidget * | popup_frame
GtkWidget * | scrolled_window
GtkWidget * | cell_view_frame
GtkTreeViewColumn * | column
GtkWidget * | tree_view
gboolean | popup_in_progress
GtkTreeRowReference * | active_row

## Detailed Description

Definition at line 67 of file gtkstatusbox.h.

## Field Documentation

## ◆ account

PurpleAccount* _PidginStatusBox::account

Definition at line 83 of file gtkstatusbox.h.

## ◆ active_row

GtkTreeRowReference* _PidginStatusBox::active_row

Definition at line 141 of file gtkstatusbox.h.

## ◆ arrow

GtkWidget* _PidginStatusBox::arrow

Definition at line 132 of file gtkstatusbox.h.

## ◆ arrow_cursor

GdkCursor* _PidginStatusBox::arrow_cursor

Definition at line 100 of file gtkstatusbox.h.

## ◆ buddy_icon

GdkPixbuf* _PidginStatusBox::buddy_icon

Definition at line 93 of file gtkstatusbox.h.

## ◆ buddy_icon_hover

GdkPixbuf* _PidginStatusBox::buddy_icon_hover

Definition at line 94 of file gtkstatusbox.h.

## ◆ buddy_icon_img

PurpleStoredImage* _PidginStatusBox::buddy_icon_img

Definition at line 92 of file gtkstatusbox.h.

## ◆ buddy_icon_sel

GtkWidget* _PidginStatusBox::buddy_icon_sel

Definition at line 95 of file gtkstatusbox.h.

## ◆ cell_view

GtkWidget* _PidginStatusBox::cell_view

Definition at line 106 of file gtkstatusbox.h.

## ◆ cell_view_frame

GtkWidget* _PidginStatusBox::cell_view_frame

Definition at line 137 of file gtkstatusbox.h.

## ◆ column

GtkTreeViewColumn* _PidginStatusBox::column

Definition at line 138 of file gtkstatusbox.h.

## ◆ connecting

gboolean _PidginStatusBox::connecting

Definition at line 117 of file gtkstatusbox.h.

## ◆ connecting_index

int _PidginStatusBox::connecting_index

Definition at line 111 of file gtkstatusbox.h.

## ◆ connecting_pixbufs

GdkPixbuf* _PidginStatusBox::connecting_pixbufs[9]

Definition at line 112 of file gtkstatusbox.h.

## ◆ dropdown_store

GtkListStore* _PidginStatusBox::dropdown_store

This is the dropdown GtkListStore that contains the available statuses, plus some recently used statuses, plus the "Custom..." and "Saved..." options.

Definition at line 81 of file gtkstatusbox.h.

## ◆ error

char* _PidginStatusBox::error

Definition at line 121 of file gtkstatusbox.h.

## ◆ error_pixbuf

GdkPixbuf* _PidginStatusBox::error_pixbuf

Definition at line 110 of file gtkstatusbox.h.

## ◆ hand_cursor

GdkCursor* _PidginStatusBox::hand_cursor

Definition at line 99 of file gtkstatusbox.h.

## ◆ hbox

GtkWidget* _PidginStatusBox::hbox

Definition at line 129 of file gtkstatusbox.h.

## ◆ icon

GtkWidget* _PidginStatusBox::icon

Definition at line 96 of file gtkstatusbox.h.

## ◆ icon_box

GtkWidget* _PidginStatusBox::icon_box

Definition at line 97 of file gtkstatusbox.h.

## ◆ icon_box_menu

GtkWidget* _PidginStatusBox::icon_box_menu

Definition at line 98 of file gtkstatusbox.h.

## ◆ icon_opaque

gboolean _PidginStatusBox::icon_opaque

Definition at line 102 of file gtkstatusbox.h.

## ◆ icon_rend

GtkCellRenderer* _PidginStatusBox::icon_rend

Definition at line 107 of file gtkstatusbox.h.

## ◆ icon_size

int _PidginStatusBox::icon_size

Definition at line 101 of file gtkstatusbox.h.

## ◆ imhtml

GtkWidget* _PidginStatusBox::imhtml

Definition at line 90 of file gtkstatusbox.h.

## ◆ imhtml_visible

gboolean _PidginStatusBox::imhtml_visible

Definition at line 104 of file gtkstatusbox.h.

## ◆ iter

GtkTreeIter _PidginStatusBox::iter

Definition at line 120 of file gtkstatusbox.h.

## ◆ network_available

gboolean _PidginStatusBox::network_available

Definition at line 116 of file gtkstatusbox.h.

## ◆ parent_instance

GtkContainer _PidginStatusBox::parent_instance

Definition at line 69 of file gtkstatusbox.h.

## ◆ popup_frame

GtkWidget* _PidginStatusBox::popup_frame

Definition at line 135 of file gtkstatusbox.h.

## ◆ popup_in_progress

gboolean _PidginStatusBox::popup_in_progress

Definition at line 140 of file gtkstatusbox.h.

## ◆ popup_window

GtkWidget* _PidginStatusBox::popup_window

Definition at line 134 of file gtkstatusbox.h.

## ◆ scrolled_window

GtkWidget* _PidginStatusBox::scrolled_window

Definition at line 136 of file gtkstatusbox.h.

## ◆ store

GtkListStore* _PidginStatusBox::store

This GtkListStore contains only one row–the currently selected status.

Definition at line 74 of file gtkstatusbox.h.

## ◆ sw

GtkWidget * _PidginStatusBox::sw

Definition at line 89 of file gtkstatusbox.h.

## ◆ text_rend

GtkCellRenderer* _PidginStatusBox::text_rend

Definition at line 108 of file gtkstatusbox.h.

## ◆ toggle_button

GtkWidget* _PidginStatusBox::toggle_button

Definition at line 130 of file gtkstatusbox.h.

## ◆ token_status_account

PurpleAccount* _PidginStatusBox::token_status_account

Definition at line 87 of file gtkstatusbox.h.

## ◆ tree_view

GtkWidget* _PidginStatusBox::tree_view

Definition at line 139 of file gtkstatusbox.h.

## ◆ typing

guint _PidginStatusBox::typing

Definition at line 118 of file gtkstatusbox.h.

## ◆ typing_index

int _PidginStatusBox::typing_index

Definition at line 113 of file gtkstatusbox.h.

## ◆ typing_pixbufs

GdkPixbuf* _PidginStatusBox::typing_pixbufs[6]

Definition at line 114 of file gtkstatusbox.h.

## ◆ vbox

GtkWidget* _PidginStatusBox::vbox

Definition at line 89 of file gtkstatusbox.h.

## ◆ vsep

GtkWidget* _PidginStatusBox::vsep

Definition at line 131 of file gtkstatusbox.h.

The documentation for this struct was generated from the following file:

- gtkstatusbox.h